package com.fjhx.purchase.service;

import com.fjhx.purchase.entity.deliver.DeliverGoodsDetailsPo;
import com.fjhx.purchase.entity.deliver.DeliverGoodsPo;

import java.util.List;

public interface WdlyService {
    /**
     * 修改发货记录为到货
     */
    void updateDeliverGoodsStatus(Long id);

    /**
     * 获取发货信息
     */
    DeliverGoodsPo getDeliverGoodsInfo(Long id);

    List<DeliverGoodsDetailsPo> getDeliverGoodsDetailsInfo(Long id);

    void addAbnormalInfo(Long linkId, String linkCode);
}
